import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';
import { d as defineCustomElement$2 } from './component2.js';

const XListItem$1 = /*@__PURE__*/ proxyCustomElement(class XListItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.clickable = false;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '2d899f1f18b199be2ecdb566b2662ddb24804bb9', class: cls({ 'list-item-clickable': this.clickable }) }, h("div", { key: 'b559bc7e2f4b6d1dca211bfdaf2578fc9e6601f9', class: "list-item-left" }, h("slot", { key: '83818c10c0171b4fbbaf336e2f1fe17da688dbcd', name: "left" })), h("div", { key: 'e1be4141245f367dae6ff24437b6dc2cb2cd047d', class: "list-item-content" }, h("slot", { key: '797509deb1563b10c9745d974a5ff681555a3716' })), h("div", { key: '62a9e5b5d348344ad10bc933782b96cb376a0815', class: "list-item-right" }, h("slot", { key: 'c0a5cc626c79ec181d5db9015a15ec0918d2913d', name: "right" })), this.clickable && h("div", { key: 'e2436570ba5ecc65afb537c13abfcad7713e9ad6', class: "list-item-indicator" }, h("x-icon", { key: '83ec17440b66c67d6f5908802dfd641f3769a4d7', name: "forward" })));
    }
}, [4, "x-list-item", {
        "clickable": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-list-item", "x-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "x-list-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XListItem$1);
            }
            break;
        case "x-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const XListItem = XListItem$1;
const defineCustomElement = defineCustomElement$1;

export { XListItem, defineCustomElement };
